package com.common.print.bean;

import android.graphics.Bitmap;

public class PrintContentBean {
    private String text;
    private int textSize;
    private boolean bold;
    private String algin;
    private String imageBase64;
    private int width;
    private int height;
    private String qrCodeText;

    Bitmap printBitmap;

    int xPosition;
    int yPosition;

    private String localPdfPath; //MlaFCDD215 pdf打印

    public Bitmap getPrintBitmap() {
        return printBitmap;
    }

    public void setPrintBitmap(Bitmap printBitmap) {
        this.printBitmap = printBitmap;
    }

    public int getxPosition() {
        return xPosition;
    }

    public void setxPosition(int xPosition) {
        this.xPosition = xPosition;
    }

    public int getyPosition() {
        return yPosition;
    }

    public void setyPosition(int yPosition) {
        this.yPosition = yPosition;
    }

    public String getQrCodeText() {
        return qrCodeText;
    }

    public void setQrCodeText(String qrCodeText) {
        this.qrCodeText = qrCodeText;
    }
    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public int getTextSize() {
        return textSize;
    }

    public void setTextSize(int textSize) {
        this.textSize = textSize;
    }

    public boolean isBold() {
        return bold;
    }

    public void setBold(boolean bold) {
        this.bold = bold;
    }

    public String getAlgin() {
        return algin;
    }

    public void setAlgin(String algin) {
        this.algin = algin;
    }

    public String getImageBase64() {
        return imageBase64;
    }

    public void setImageBase64(String imageBase64) {
        this.imageBase64 = imageBase64;
    }

    public int getWidth() {
        return width;
    }

    public void setWidth(int width) {
        this.width = width;
    }

    public int getHeight() {
        return height;
    }

    public void setHeight(int height) {
        this.height = height;
    }

    public String getLocalPdfPath() {
        return localPdfPath;
    }

    public void setLocalPdfPath(String localPdfPath) {
        this.localPdfPath = localPdfPath;
    }

    @Override
    public String toString() {
        return "PrintContentBean{" +
                "text='" + text + '\'' +
                ", textSize=" + textSize +
                ", bold=" + bold +
                ", algin='" + algin + '\'' +
                ", imageBase64='" + imageBase64 + '\'' +
                ", width=" + width +
                ", height=" + height +
                ", qrCodeText='" + qrCodeText + '\'' +
                ", xPosition=" + xPosition +
                ", yPosition=" + yPosition +
                '}';
    }
}
